QGIS Application - Feature request #8884
Symbol too small in legend when map units are used
2013-10-17 03:28 AM - Vincent Picavet

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Pull Request or Patch supplied: Resolution: duplicate
Easy fix?: No Copied to github as #: 17563
Description

When a symbol is defined with map units, it is sometimes shown in the legend at a very small scale, preventing to see the details.
If millimeters are used for symbol size, it is displayed in the legend at the right size.
A solution could be to used map units for the symbol display on the map, but fixed size for the symbol in the legend.

Subtasks:
Bug report # 10049: toc: point symbols not visible if in map units Rejected

History

#1 - 2014-04-15 05:56 AM - luca76 -

Confirmed.

If I use millimeters, the symbols are visible, but when | use map-units they are just too small to see (even with a EYEGLASS :-) )

#2 - 2016-07-01 02:18 AM - michele zanolli
- File legenda.jpg added

The problem still persists...

And in QGIS 2.14, if you use -->Categorized<-- style and map units for size of point/svg symbols, the size of the symbol in the layer legend is totally out of

control (see attached image)

#3 - 2016-07-01 02:29 AM - R. R.

See also:

#14850 'Layers Panel' - Symbol size depends on zoom level

#13779 symbols not correctly clipped in map legend

#4 - 2016-07-01 02:38 AM - michele zanolli

Thanks, | think that we can mark this ticket as duplicated (even if older)

#5 - 2016-07-11 11:14 PM - Nyall Dawson

- Resolution set to duplicate
- Status changed from Open to Closed

2025-04-26 12




Files

legenda.jpg 265 KB 2016-07-01 michele zanolli
